"Bookmarks Toolbar item" is cut off in menu panel
Created attachment 
Bookmarks Toolbar item cut off.png

The Bookmarks toolbar item is cut off when placed into the menu panel. The text goes off the hover effect too.
